{ pkgs, config, ... }:
{
  services.immich = {
    enable = true;
    package = pkgs.unstable.immich;
    database = {
      enable = true;
    };
    host = "0.0.0.0";
    port = 8567;
    mediaLocation = "/mnt/two/photos";
    openFirewall = true;
    settings.server.externalDomain = "https://photos.sealight.xyz";
  };
  services.nginx.virtualHosts."photos.mossnet.lan" = {
    enableACME = false;
    forceSSL = false;

    locations."/" = {
      proxyPass = "http://127.0.0.1:${toString config.services.immich.port}";
      proxyWebsockets = true;
      recommendedProxySettings = true;
      extraConfig = ''
        client_max_body_size 50000M;
        proxy_read_timeout   600s;
        proxy_send_timeout   600s;
        send_timeout         600s;
      '';
    };
  };
}
